%define name smeserver-sugarcrm
%define version 4.5.1d
%define release 1
%define rpmver  4.0.4

Summary:            Sugar CRM a is an open source Customer Relationship Management
Name:               %{name}
Version:            %{version}
Release:            %{release}
Copyright:          GPL
Group:              Web/Application
Source:             %{name}-%{version}.tar.gz
Packager:           Sylvain Gomez  <sylvaingomez@free.fr>
URL:                http://www.sugarforge.org/
BuildRoot:          /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires:           e-smith-base, e-smith-release >= 7

%description
This RPM is an unofficial addon for the SME Server 7.x.
Sugar CRM a is an open source Customer Relationship Management.
http://your_e-smith-server_adress/sugarcrm

%changelog
* Sat Jun 9 2007 Sylvain Gomez <sylvaingomez@free.fr>
- 4.5.1d-1
- Original version

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(/usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
# Adding sugarcrm to SME's db
/etc/e-smith/events/actions/initialize-default-databases
echo " "

# Variables
SUGARPASS=$(/sbin/e-smith/db configuration getprop sugarcrm DbPassword)
DOMAIN=$(/sbin/e-smith/db configuration get DomainName)

echo "Decompressing files..."
cd /opt
tar xfz sugarcrm.tar.gz
rm sugarcrm.tar.gz

echo "Creating MySQL user and DataBase..."
mysqladmin -u root create sugarcrm
mysql -e " grant select, insert, update, delete, create, drop, index, alter on sugarcrm.* to 'sugarcrm'@'localhost' "
mysql -e " grant select, insert, update, delete, create, drop, index, alter on sugarcrm.* to 'sugarcrm'@'$DOMAIN' "
mysql -u root -e " SET PASSWORD FOR 'sugarcrm'@'localhost' = PASSWORD( '$SUGARPASS' ) "
mysql -u root -e " SET PASSWORD FOR 'sugarcrm'@'$DOMAIN' = PASSWORD( '$SUGARPASS' ) "
mysqladmin flush-privileges

echo "Importing MySQL DataBase..."
mysql sugarcrm < /opt/sugarcrm.sql
rm -rf /opt/sugarcrm.sql

# Modifying file 'config.php'
sed 's.sugarcrmpassword.'$SUGARPASS'.g' /opt/sugarcrm/config.php >/opt/sugarcrm/config.php.new
sed -e "s/yourdomain.com/$DOMAIN/" /opt/sugarcrm/config.php.new >/opt/sugarcrm/config.php
rm -f /opt/sugarcrm/config.php.new

echo "Applying modifications to httpd..."
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1

echo " "
echo "-------------------------------------------------------------------------------"
echo "Sugar CRM Installation finished."
echo "Please go to https://$DOMAIN/sugarcrm"
echo "Username: admin"
echo "Password: admin"
echo " "
echo "Please change the admin password at first login!"
echo " "
/sbin/e-smith/config show sugarcrm
echo "-------------------------------------------------------------------------------"

%preun
# Variables
DOMAIN=$(/sbin/e-smith/db configuration get DomainName)

echo "Restarting Apache..."
/sbin/e-smith/expand-template etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1

echo "Deleting MySQL user and DataBase..."
mysql -u root -e "DROP DATABASE sugarcrm"
mysql -u root -e "REVOKE ALL PRIVILEGES ON sugarcrm.* FROM 'sugarcrm'@'localhost';"
mysql -u root -e "REVOKE ALL PRIVILEGES ON sugarcrm.* FROM 'sugarcrm'@'$DOMAIN';"
mysql -u root -e "DROP USER 'sugarcrm'@'localhost';"
mysql -u root -e "DROP USER 'sugarcrm'@'$DOMAIN';"
/sbin/e-smith/config delete sugarcrm

echo "Removing install directory..."
rm -rf /opt/sugarcrm

%postun
